/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Risk
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Risk {
  @SerializedName("risk")
  private String risk = null;

  @SerializedName("rating")
  private String rating = null;

  public Risk risk(String risk) {
    this.risk = risk;
    return this;
  }

   /**
   * Kind of risk.
   * @return risk
  **/
  @ApiModelProperty(value = "Kind of risk.")
  public String getRisk() {
    return risk;
  }

  public void setRisk(String risk) {
    this.risk = risk;
  }

  public Risk rating(String rating) {
    this.rating = rating;
    return this;
  }

   /**
   * Rating of the risk. The higher, the most probable to occur.
   * @return rating
  **/
  @ApiModelProperty(value = "Rating of the risk. The higher, the most probable to occur.")
  public String getRating() {
    return rating;
  }

  public void setRating(String rating) {
    this.rating = rating;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Risk risk = (Risk) o;
    return Objects.equals(this.risk, risk.risk) &&
        Objects.equals(this.rating, risk.rating);
  }

  @Override
  public int hashCode() {
    return Objects.hash(risk, rating);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Risk {\n");
    
    sb.append("    risk: ").append(toIndentedString(risk)).append("\n");
    sb.append("    rating: ").append(toIndentedString(rating)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

